.form {
    // width: 400px;
    margin: 20px auto;

    &__element {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    &__element:not(:first-of-type) {
        margin-top: 10px;
    }

    &__element label {
        margin-bottom: 5px;
        text-transform: capitalize;
        font-weight: 600;
        transition: all .5s;
    }
    &__element label::after {
        content: ":";
        display: inline-block;
    }

    &__element input:not([type="checkbox"]):not([type="radio"]),
    &__element select,
    &__element textarea {
        width: 200px;
        padding: 5px 15px;
        border-radius: 7px;
        border: 1px solid skyblue;
        outline: none;
        resize: none;
        transition: all .5s;
    }
    
    &__element-error input:not([type="checkbox"]):not([type="radio"]),
    &__element-error select,
    &__element-error textarea
    {
        border-color: red;
    }

    &__element-error label
    {
        color: rgb(119, 18, 18);
        text-transform: capitalize;
    }

    &__error
    {
        text-align: center;
        color: red;
        font-weight: 600;
    }

    &__submit-btn:disabled
    {
        background: rgb(129, 127, 127);
        border-color: #fff;
        pointer-events: none;
    }
    
}

.cart-form {
    padding: 10px;
}
